Goo::Canvas::Rect(3)

NAME
Goo::Canvas::Rect

HIERARCHY
  Glib::Object
  +----Goo::Canvas::ItemSimple
       +----Goo::Canvas::Rect

INTERFACES
  Goo::Canvas::Item

METHODS

  item = Goo::Canvas::Rect->new ($parent, $x, $y, $width, $height, ...)

•   $parent (Goo::Canvas::Item)

•   $x (double)

•   $y (double)

•   $width (double)

•   $height (double)

•   ... (list)

PROPERTIES

'height' (double : default 0 : readable / writable)
    The height of the rectangle

'radius-x' (double : default 0 : readable / writable)
    The horizontal radius to use for rounded corners

'radius-y' (double : default 0 : readable / writable)
    The vertical radius to use for rounded corners

'width' (double : default 0 : readable / writable)
    The width of the rectangle

'x' (double : default 0 : readable / writable)
    The x coordinate of the rectangle

'y' (double : default 0 : readable / writable)
    The y coordinate of the rectangle

SEE ALSO
Glib::Object, Goo::Canvas::ItemSimple

COPYRIGHT
Copyright (C) 2015 Gtk2-Perl Team